
%define major         9
%define name          libfwbuilder
%define version       4.1.3
%define svnrelease       b3421
%define BUILD_VERSION 4.1.3


%if "%_vendor" == "MandrakeSoft"
%define libname  %name
%define libgroup System/Libraries
%define devgroup Development/Other
%else
%define libname  %name
%define libgroup System Environment/Libraries
%define devgroup Development/Libraries
%endif

Summary: 	Firewall Builder API
Name:           %{name}
Version:        %{version}
Release:        2.1
License: 	GPL2
Group:  	%{libgroup}
Url: 		http://www.fwbuilder.org/
Source: 	http://prdownloads.sourceforge.net/libfwbuilder/%{name}-%{version}.tar.bz2
Provides:	%{name}%{major}
Buildroot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2 libxml2-devel libxslt libxslt-devel openssl glibc-devel libgcc gcc gcc-c++ net-snmp net-snmp-devel openssl-devel
%if 0%{?suse_version}
BuildRequires: tcpd-devel qt-devel >= 4.3
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires: tcp_wrappers qt4-devel >= 4.3
%endif

Docdir:   	/usr/share/doc

%description 
Firewall Builder 4.0 API library and compiler framework

%if "%{libname}" != "%{name}"
%package -n %libname
Summary: 	Firewall Builder 4.0 API
Provides: 	%name = %version
Group:  	%{libgroup}
%endif

%description -n %libname
Firewall Builder 4.0 API library and compiler framework

%files -n %libname
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/PatchAcceptancePolicy.txt
%dir %{_datadir}/libfwbuilder-%version
%{_datadir}/libfwbuilder-%version/*
%{_libdir}/libfwbuilder.so.*
%{_libdir}/libfwcompiler.so.*




%package -n %{libname}-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     %{devgroup}
Requires:  %{name} = %{version}
Provides:  %name-devel = %version-%release
Provides:  %{libname}%{major}-devel = %{version}

%description -n %{libname}-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.


%files  -n %{libname}-devel
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt
%{_bindir}/libfwbuilder-config-4
%dir %{_includedir}/fwb-4
%{_includedir}/fwb-4/fwbuilder
%{_includedir}/fwb-4/fwcompiler
%{_libdir}/*.so

%prep 

%setup

%build
%if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
export PATH=$PATH:%{_libdir}/qt4/bin
%endif
if [ ! -e configure ] ; then
./autogen.sh
fi
%configure \
	%if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
	--with-qtdir=%{_libdir}/qt4 \
	%endif
	--enable-auto-docdir \
	--libdir=%{_libdir} \
	--prefix=%{_prefix} || cat config.log
%__make all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%__make INSTALL_ROOT="${RPM_BUILD_ROOT}/" install
# prevent including docs twice
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Dec 08 2010 Carsten Schoene <cs@linux-administrator.com> - 4.1.3-b3421
- update to release 4.1.3

* Sat Oct 08 2010 Carsten Schoene <cs@linux-administrator.com> - 4.1.2-b3346
- update to release 4.1.2

* Wed Aug 25 2010 Carsten Schoene <cs@linux-administrator.com> - 4.1.1-b3243
- update to release 4.1.1

* Wed Aug 18 2010 Carsten Schoene <cs@linux-administrator.com> - 4.1.0-b3226
- update to relasee 4.1.0

* Fri Jun 04 2010 Carsten Schoene <cs@linux-administrator.com> - 4.0.1-b2950
- update to release 4.0.1

* Wed May 05 2010 Carsten Schoene <cs@linux-administrator.com> - 4.0.0-b2877
- build version 4.0.0
